---
name: Update Brew Lists
on:
  schedule:
    - cron: '0 2 */2 * *' # Run every two days at 2 AM
jobs:
  update-brew-lists:
    runs-on: self-hosted
    steps:
      - name: Set up Git
        run: |
          git config --global user.email "actions@jfraeys.com"
          git config --global user.name "Forgejo Actions"
      - name: Update update_brew_lists
        run: |
          git add scripts/update_brew_lists.sh
          if ! git diff-index --quiet HEAD --; then
            git commit -m "Update update_brew_lists"
            git push
          else
            echo "No changes to update_brew_lists, skipping commit and push."
          fi
